Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:      	plotutils
Version:   	2.6
Release:   	1
Summary:   	GNU vector and raster graphics utilities and libraries

Group:     	Graphics
License:   	GPL
URL:       	http://www.gnu.org/software/plotutils/
Source0:   	ftp://ftp.gnu.org/gnu/plotutils/plotutils-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

BuildRequires:  flex
BuildRequires:  bison
BuildRequires:	ghostscript-devel

Requires(post):  /sbin/install-info
Requires(post):  /sbin/ldconfig
Requires(preun): /sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: zlib-devel

%description
The GNU plotutils package contains software for both programmers and
technical users. Its centerpiece is libplot, a powerful C/C++ function
library for exporting 2-D vector graphics in many file formats, both
vector and raster. It can also do vector graphics animations. Besides
libplot, the package contains command-line programs for plotting
scientific data. Many of them use libplot to export graphics


%package devel
Summary:     Headers for developing programs that will use %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}


%description devel
This package contains the header files needed for developing %{name}
applications


%prep
%setup -q
cp -f lib/fontlist.c graph/
cp -f lib/fontlist.c plot/
cp -f lib/fontlist.c pic2plot/
cp -f lib/fontlist.c plotfont/
cp -f lib/fontlist.c tek2plot/


%build
%configure --disable-static --enable-libplotter --enable-libxmi --enable-ps-fonts-in-pcl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT docs-to-include
make install DESTDIR=$RPM_BUILD_ROOT
mkdir docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/ode docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/pic2plot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/libplot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/tek2plot docs-to-include
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/libxmi.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/plotutils.info %{_infodir}/dir || :
/sbin/ldconfig


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libxmi.info %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/plotutils.info %{_infodir}/dir || :
fi


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%{_bindir}/double
%{_bindir}/graph
%{_bindir}/hersheydemo
%{_bindir}/ode
%{_bindir}/pic2plot
%{_bindir}/plot
%{_bindir}/plotfont
%{_bindir}/spline
%{_bindir}/tek2plot
%{_libdir}/libplot.so.*
%{_libdir}/libplotter.so.*
%{_libdir}/libxmi.so.*
%{_infodir}/libxmi.info.gz
%{_infodir}/plotutils.info.gz
%{_mandir}/man1/ode.1.gz
%{_mandir}/man1/plot.1.gz
%{_mandir}/man1/plotfont.1.gz
%{_mandir}/man1/spline.1.gz
%{_mandir}/man1/tek2plot.1.gz

%files devel
%defattr(-, root, root, -)
%{_includedir}/plotcompat.h
%{_includedir}/plot.h
%{_includedir}/plotter.h
%{_includedir}/xmi.h
%{_libdir}/libplot.so
%{_libdir}/libplotter.so
%{_libdir}/libxmi.so
#%{_docdir}/plotutils-%{version}
#%{_docdir}/plotutils-devel-%{version}

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6-1
- Version update
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 2.5.1-2
- rebuild against libXaw-1.0.5
* Tue Oct 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.1-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.5-2
- fixed package group typo
* Tue May 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.5-1
- Initial release
